const path = require('./src/path.js');
const sass = require('node-sass');
const fs = require('fs');

sass.render({
  file: 'src/styles/index.scss',
  outFile: 'dist/index.css',
}, function(error, result) {
  if(!error){
    if (!fs.existsSync('dist')){
      fs.mkdirSync('dist', { recursive: true });
    }
    fs.writeFile('dist/index.css', String(result.css).replace(/\/lib\/solid-xmpp-chat/g, path), (e) =>{});
  } else {
    console.error(error);
  }
});